.navionics-map-container .layer-control-container,
.navionics-map-container .distance-control-container,
.navionics-map-container .sonarchart-control-container,
.navionics-map.has-scale-line.has-ruler.has-distance.has-depth .ol-scale-line {
display: none !important;
}
#navigation{
    position: absolute;
    width: 360px;
}
#map_canvas{
    height: 100vh;
}
ul {
    list-style: outside none none;
    padding: 0;
    margin: 0;
}
#regata_list  {
    box-shadow: 0 -1px 24px rgba(0,0,0,0.4);
}
#regata_list {
    overflow: hidden;
}
.nav-bar, .mp-menu  {
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 10;
    background-color: white;
    -webkit-transform: translateX(0);
    transform: translateX(0);
    transition-property: -webkit-transform;
    transition-property: transform;
    transition: all 0.3s ease-in-out 0s;
}
.title {
    font-size: 1.5em;
    margin: 10px 0;
    padding: 0 15px;
    overflow: hidden;
    height: 24px;
}
#navigation > ul{

}
.usePlayer #navigation {
    position: absolute;
    width: 360px;
    bottom: 0;
    height: inherit;
    overflow-x: inherit;
}

.hide_left{
    margin-left: -360px;
}
#hs, .hide_left #hs {
    background-color: #fff;
    box-shadow: 6px 2px 5px rgba(0, 0, 0, 0.12);
    cursor: pointer;
    display: block;
    height: 44px;
    left: 100%;
    transition: all 0.3s ease-in-out 0s;
    position: absolute;
    width: 44px;
    z-index: 100;
}
#hs:before {
    background-image: url("../../img/sp.png");
    background-position: 0 171px;
    content: "";
    display: block;
    height: 14px;
    position: absolute;
    right: 15px;
    top: 15px;
    width: 14px;
}
.hide_left #hs::before {
    background-image: url("../../img/sp.png");
    background-position: -15px -20px;
}
.hide_left #hs {
    left: 370px;
    top: 40px;
}
/* Wind & Speed */ 
#wind {
    border-style: solid;
    border-width: 1px;
    border-color: rgb(159, 171, 178);
    border-radius: 50%;
    background-color: rgb(255, 255, 255);
    box-shadow: 0px 3px 8px 0px rgba(54, 54, 54, 0.3);
    position: absolute;
    left: 50%;
    margin-left: -37px;
    top: 1%;
    width: 74px;
    height: 74px;
    z-index: 5;
}
#speed {
    background: #fff none repeat scroll 0 0;
    border: 1px solid #d5dfe5;
    border-radius: 14px;
    font-size: 9px;
    height: 28px;
    left: 22px;
    letter-spacing: -1px;
    padding: 7px 0;
    position: absolute;
    text-align: center;
    top: 22px;
    width: 28px;
    z-index: 2;
}
#windArrow {
    background-image: url("../../img/windArrow.png");
    display: block;
    height: 72px;
    width: 72px;
    transition: all 0.3s ease 0s;
}
/* --- */
.loader {
    background-image: url("../../img/loading-small.gif");
    display: none;
    height: 24px;
    position: relative;
    float: right;
    margin-right: 23%;
    top: -3px;
    width: 24px;
    transition: none;
}
.show {
    display: block;
}
.main {
    background-color: #fff;
    bottom: 0;
    overflow-y: auto;
    left: 360px;
    position: absolute;
    padding: 3em;
    right: 0;
    top: 0;
    z-index: 6;
}
.main img {
    vertical-align: middle;
    max-width: 100%;
}
.text-middle {
    padding-top: 10em;
}
.text-middle-5 {
    padding-top: 5em;
}
.text-middle-4 {
    padding-top: 4em;
}

.main p {
    line-height: 22px;
    font-size: 17px;
}
.hide_left ~ .main {left: 0;}
.hide_left ~ .main .row {
    width: 100%;
    padding: 4em 6em;
}
/* logo */
.logo {
    background-image: url(../../img/logo.svg);
    display: block;
    background-repeat: no-repeat;
    height: 70px;
    margin-left: 15px;
    margin-top: 10px; 
    position: relative;
    width: 260px;
}
.label-city {
    bottom: 10px;
    position: absolute;
    right: 72px;
}
/* back */
.mp-back {
    background-color: #1a80b6;
    color: #fff;
    display: block;
    padding: 10px 10px 10px 40px;
    position: relative;
}
.mp-back:hover {
    background-color: #208cc5;
}
a.mp-back:hover{  
    color: #fff;
}
.mp-back::after {
    background-image: url("../../img/sp.png");
    background-position: 16px -21px;
    content: "";
    display: block;
    height: 16px;
    left: 12px;
    position: absolute;
    top: 13px;
    width: 16px;
}
/* checkbox */
input[type="checkbox"] {
    display: none; 
}
.checkbox-marker:checked + label::before {
    background-image: url("../../img/sp.png");
    background-position: 0 0;
    content: "";
    display: inline-block;
}
.dataList label {
    cursor: pointer;
    font-weight: 100;
    margin-left: 8px;
    margin-bottom: 0;
}
.dataList label::before {
    background-image: url("../../img/sp.png");
    background-position: -21px 0;
    content: " ";
    cursor: pointer;
    display: inline-block;
    height: 16px;
    margin: 0 6px 0 0;
    position: relative;
    top: 4px;
    width: 16px;
}
.checkbox-marker:checked + label::before{}
.post a{
    display: block;
    padding: 12px;
}
.regatta-date {
    margin: -5px 0px 4px 10px;
    font-size: 12px;
}
.race-date {
    color: #888;
    font-size: 10px;
    position: absolute;
    right: 5px;
    top: 8px;
    width: 6em;
    cursor: default;
}
#date_period, #date_period_regatta{
    color: #888;
    font-size: 11px;
    margin: 5px 22px;
}
.dataList .checkbox-marker ~ a {
    display: inline-block;
    padding: 10px 2px;
}
.dataList > li:hover, .post:hover {
    background-color: #e8f2f8;
}
.dataList > li:hover .checkbox-marker ~ a::after {
    background: -moz-linear-gradient(left, rgba(255,255,255,0) 0%, rgb(232, 242, 248) 100%);
    background: -webkit-linear-gradient(left, rgba(255,255,255,0) 0%,rgb(232, 242, 248) 100%);
    background: linear-gradient(to right, rgba(255,255,255,0) 0%,rgb(232, 242, 248) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffffff', endColorstr='#ffffff',GradientType=1 );
}
.logo ~ ul {
    border-top: 1px solid #c1ccd1;
    bottom: 0;
    overflow-x: auto;
    position: absolute;
    top: 90px;
    width: 100%;
}
ul.dataList {
    overflow-x: auto;
    height: 100%;
}
.nav-bar.level-open.level-2 .mp-level-open ul.dataList {
    bottom: 154px;
    height: auto;
    position: absolute;
    top: 40px;
    width: 100%;
}
.trackersList {
    position: absolute;
    top: 250px;
    width: 100%;
    bottom: 90px;
    overflow-x: auto;
}
/*.usePlayer .nav-bar, .usePlayer .mp-menu {
    overflow-x: auto;
    position: fixed;
}*/
#date_period_regatta ~ ul {
    height: 100%;
    position: relative;
    padding-bottom: 154px;
}

.nav-bar.level-open.level-2, .nav-bar.level-open.level-3 {
    top: 90px;
}
.position {
    text-align: right;
    width: 16px;
    display: inline-block;
    font-size: 10px;
}
li.trackers[data-position='1'] .position, li.trackers[data-position='2'] .position, li.trackers[data-position='3'] .position {
    font-size: 12px;
    font-weight: bold;
}
.dataList > li, .post {
    border-bottom: 1px solid #c1ccd1;
    position: relative;
}
/*.trackersList .trackers:nth-child(even) {
    background-color: #f5f5f5;
}*/
.cell {
    padding: 10px 0;
    line-height: 100%;
}
.path, .mtcp {  
    background-image: url("../../img/sp.png");
    cursor: pointer;
    display: block;
    position: absolute;
}
.path {
    background-position: -21px -36px;
    height: 16px;
    right: 30px;
    top: 12px;
    width: 14px;
}
.path.active {
    background-position: 0 -36px;
}
li.trackers[data-position='1'] {
    border-color: #ffd988;
    /*content: "★";*/
}
.mtcp {
    background-position: -21px -55px;
    height: 15px;
    right: 8px;
    top: 13px;
    width: 15px;
}
.mtcp.active {
    background-position: 0 -55px;
}

.checkpoint, .distanse, .timeToWayPoint {
    display: inline-block;
    padding-right: 5px;
    width: 26px;
    text-align: right;
    font-size: 11px;
}
.checkpoint{
    text-align: center;
}
.distanse {
    width: 50px;
}
.timeToWayPoint {
width: 60px;
}
.circle {
    border-radius: 4px;
    display: inline-block;
    height: 8px;
    margin-right: 5px;
    width: 8px;
}
a {
    cursor: pointer;
    display: block;
}
a:hover {
    text-decoration: none;
}
/* filter*/
.filter {
    background-color: #f6f6f6;
    height: 32px;
}
.filter div {
    color: #686868;
    display: inline-block;
    font-size: 12px;
    height: 20px;
    line-height: 10px;
    padding: 5px;
}
.hide-all{
    border-left: 1px solid #cccecf;
    border-right: 1px solid #cccecf;
}
.hide-all, .show-all{
    cursor: pointer;
}
.hide-all:active, .show-all:active{
    color: #1a80b6;
}
.hide-all:hover::after, .show-all:hover::after {
    border-bottom: 1px solid #1a80b6;
    content: "";
    display: block;
    margin: 2px;
}
/* ratingColums */
.ratingColums {
    background-color: #2e444f;
    height: 30px;
    width: 100%;
    display: table;
    color: #e8e8e8;
    line-height: 30px;
    text-transform: uppercase;
    position: relative;
    z-index: 3;
}
.ratingColums div {
    float: left;
    position: relative;
}
.ratingColums-DTW {
    width: 50px;
    text-align: right;
}
.ratingColums [class*="ratingColums"]:hover{
    color: #fff;
}
.ratingColums-TTW, .ratingColums-DTW {
    width: 60px;
    text-align: right;
    cursor: pointer;
    padding-right: 12px;
}
.ratingColums-num {
    width: 26px;
    text-align: center;
}
.ratingColums-name {
    width: 100px;
    margin-left: 34px;
    margin-right: 5px;
}
.ratingColums .sorted::after {
    background-image: url(../../img/sp.png);
    background-position: 21px -73px;
    cursor: pointer;
    position: absolute;
    content: "";
    display: inline-block;
    width: 8px;
    height: 8px;
    right: -2px;
    top: 11px;
}
/* ---- */
.gm-style .gm-style-mtc label, .gm-style .gm-style-mtc div {
    font-size: 14px !important;
}
.gm-style > .gmnoprint {
    right: 50px !important;
    left: auto !important;
}
.dataList .checkbox-marker ~ a {
    width: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding: 0;
    top: 2px;
    position: relative;
    margin-right: 5px;
}

/* Буи */
label.switch.switch-sm {
    display: inline-block;
    margin: 0 4px;
    padding: 0;
    top: 3px;
}
label.switch::before {
    display: none;
}
.switch.switch-sm {
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    border-radius: 10px;
    height: 15px;
    width: 34px;
}
.switch {
    background-color: #9fabb2;
    position: relative;
    transition: left 0.2s ease 0s;
    width: 30px;
    z-index: 1;
}
.switch :checked+span {
    border-color: #2ecc71;
    -webkit-box-shadow: #2ecc71 0 0 0 21px inset;
    -moz-box-shadow: #2ecc71 0 0 0 21px inset;
    box-shadow: #2ecc71 0 0 0 21px inset;
    -webkit-transition: border 300ms,box-shadow 300ms,background-color 1.2s;
    -moz-transition: border 300ms,box-shadow 300ms,background-color 1.2s;
    -o-transition: border 300ms,box-shadow 300ms,background-color 1.2s;
    transition: border 300ms,box-shadow 300ms,background-color 1.2s;
    background-color: #2ecc71;
}
.switch span {
    -webkit-box-shadow: #e4e4e4 0 0 0 0 inset;
    -moz-box-shadow: #e4e4e4 0 0 0 0 inset;
    box-shadow: #e4e4e4 0 0 0 0 inset;
    -webkit-transition: border 300ms,box-shadow 300ms;
    -moz-transition: border 300ms,box-shadow 300ms;
    -o-transition: border 300ms,box-shadow 300ms;
    transition: border 300ms,box-shadow 300ms;
    width: 100%;
    height: 100%;
    display: inline-block;
    box-sizing: content-box;
    border: 1px solid #aebbc5;
    background-color: #aebbc5;
    background-clip: content-box;
    vertical-align: middle;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    border-radius: 20px;
}
.switch.switch-sm :checked+span:before {
    display: block;
    content: "";
}
.switch.switch-sm span i::before {
    height: 13px;
    margin: 1px;
    width: 13px;
}
.switch span, .switch span i {
    cursor: pointer;
    position: absolute;
}
.switch span i::before {
    background: #fff none repeat scroll 0 0;
    border-radius: 100%;
    content: "";
    display: block;
    height: 16px;
    width: 16px;
}
.switch.switch-sm *:checked + span i {
    padding-left: 19px;
}
/* control-panel */
.control-panel {
    height: 84px;
}
.state .tabs-default {
    float: left;
    padding: 10px 10px;
    position: relative;
}
.state li {
        cursor: pointer;
}
.state li:hover{
    background-color: #f4f4f4;
}
.state .tabs-active {
    color: #1a80b6;
}
.state .tabs-active:before {
    background-color: #1a80b6;
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 3px;
    bottom: 0;
    left: 0;
}
.tabs-ul {
    position: absolute;
    display: none;
    background: #fff;
    left: 50px;
    top: 0;
    font-size: 12px;
    width: 120px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.32);
    z-index: 5;
}
.tabs-ul li {
    padding: 12px;
}
.state li:hover .tabs-ul{
    display: block;
}
.state {
    width: 100%;
    display: table;
    position: relative;
}
.filterGroup {
    background-color: #f6f6f6;
    box-shadow: 0 1px 0px #c1ccd1;
    padding: 10px;
}
.filterGroup label {
    font-size: 13px;
    margin: 0;
    margin-right: 8px;
}
.filterGroup select#groupsList {
    max-width: 240px;
    padding: 2px;
}
.cup-icon {
    width: 24px;
    height: 24px;
    margin: 10px 5px;
    float: left;
    background-image: url(../../img/sp.png);
    background-position: 0px 116px;
}
.admPanel-btn {
    width: 42px;
    height: 40px;
    position: absolute;
    right: 0;
    cursor: pointer;
}
.admPanel-btn:before {
    width: 24px;
    height: 24px;
    margin: 8px;
    content: "";
    position: absolute;
    background-image: url(../../img/sp.png);
    background-position: 1px 47px;
}
.admPanel-btn.activePanel:before {
    background-position: 50px 24px;
}
.admPanel-btn.activePanel{
    box-shadow: 0px 5px 15px 0px rgba(54, 54, 54, 0.5);
}
.adminPanel {
    background-color: #fff;
    box-shadow: 0px 5px 15px 0px rgba(54, 54, 54, 0.5);
    position: absolute;
    display: none; 
    top: 40px;
    width: 100%;
    z-index: 5;
}
.adminPanel li .btn-default {
    border: 0;
    width: 100%;
    text-align: left;
    padding: 10px;
}
.activePanel .adminPanel{
    display: block;
}
.usePlayer
.gmnoprint.gm-bundled-control.gm-bundled-control-on-bottom > .gmnoprint{
    top: -82px !important;
}
.Tracking-default-index {
    position: fixed;
    width: 100%;
    height: 100%;
}
/* player */
.wrap-player {
    bottom: 0;
    height: 88px;
    left: 0;
    position: absolute;
    width: 100%;
    z-index: 2;
}
#player {
    background-color: #2e444f;
    display: none;
    height: 88px;
    margin-left: 360px;
    padding: 2px 8px;
    position: relative;
    transition: all 0.3s ease 0s;
}
.hide_left ~ #map_canvas ~ .wrap-player #player {
    margin-left: 0;
    width: 100%;
}
.wrap-slider {
    position: relative;
}
#slider {
    background-color: #000 !important;
    border: medium none !important;
    border-radius: 4px;
    height: 10px;
    margin: 10px;
}
.ui-slider-handle.ui-corner-all.ui-state-default {
    background-color: #d8dcdf;
    border-radius: 8px;
    height: 16px;
    top: -2px;
    width: 16px;
}
#slider .ui-widget-header {
    background-color: #1a80b6;
}
.toolbar {
    padding: 6px 0;
    height: 48px;
    width: 500px;
}
#button_play, #button_stop {
    background-image: url("../../img/player.png?1");
    display: inline-block;
    height: 36px;
    position: relative;
    width: 36px;
    z-index: 1;
}
#button_stop {
    background-position: -36px -37px;
}
.wrap-play > a {
    float: left;
    margin: 0 4px;
}
#race_time {
    background-color: #2c373e;
    color: #fff;
    float: left;
    margin-left: -14px;
    padding: 8px 12px 8px 20px;
}
#race_time[content="-"]{
    content: ". ";
}
.wrap-slow {
    color: #fff;
    float: left;
    height: 36px;
    margin: 0 0 0 20px;
    position: relative;
    text-align: center;
}
.wrap-slow > a, #button_prev, #button_next {
    background-color: #d8dcdf;
    border-radius: 18px;
    border: 0;
    position: relative;
    float: left;
    width: 36px;
    height: 36px;
}
.wrap-slow > a:active, #button_prev:active, #button_next:active{
background-color: #b1bac1;
    box-shadow: inset 0 0 3px 0px #fff;
}
.wrap-slow > a:active{
border-color: rgb(26, 128, 182);
}
.wrap-slow > a::before {
    background-image: url("../../img/player.png?1");
    background-position: 0 10px;
    height: 10px;
    margin: 12px 8px;
    content: "";
    position: absolute;
    top: 1px;
    width: 15px;
}
#speed-up {
    background-color: #2c373e;
    float: left;
    padding: 8px 28px;
}
#button_slow {
    left: 15px;
}
#button_fast {
    right: 15px;
}
#button_slow::before{
    left: 2px;
}
#button_fast::before {
    background-position: 15px 10px;
    right: 1px;
}
#steps {
    display: inline-block;
    margin-left: 20px;
}
#button_prev {
    margin-right: 10px;
}
#button_prev::before, #button_next::before {
    background-image: url("../../img/player.png?1");
    background-position: 0 -79px;
    display: inline-block;
    height: 16px;
    content: "";
    margin: 10px 8px;
    position: relative;
    width: 20px;
    z-index: 1;
}
#button_next::before {
    background-position: 20px 31px;
}

#adminPanel:hover #apanelTitle{
    height: 0px;
}
#adminPanel button{ 
    border: none;
}
@media (max-width: 1280px) and (min-width: 600px){
#navigation {
    width: 320px;
}
.logo {
    height: 60px;
    width: 220px;
}
.main {
    left: 280px;
}
    /*#player {
      margin-left: 260px;
    }*/
}

@media (max-width: 1024px) and (min-width: 768px) and (orientation: portrait){

.glyphicon {
    display: inline-block;}
}
@media (max-width: 767px){
    #hs { left: 360px;}  
    .nav-bar, .mp-menu { width: 360px;}
    .usePlayer #navigation {
        position: absolute;
        width: 300px;
        bottom: 88px;
        height: inherit;
        /*overflow-x: auto;*/
    }
    .hide_left #hs {
        bottom: 80px;
        left: 300px;
        top: auto;
    }
    .ratingColums-TTW, .ratingColums-DTW,
    .timeToWayPoint { width: 55px;}
    #race_time{
        font-size: 11px;
    }
    #player {margin-left: 0;}
}
@media (max-width:420px){
.distance.unit-section, .depth.unit-section {
    display: none !important;
}
.logo {
    height: 50px;
    width: 180px;
}
.logo ~ ul,
.nav-bar.level-open.level-2,
.nav-bar.level-open.level-3 {
    top: 70px;
}
.trackersList {
    bottom: 70px;
}
.nav-bar.level-open.level-2 .mp-level-open ul.dataList {
    bottom: 134px;
}
.post a {
    padding: 10px;
}
.title {
    font-size: 1.3em;
}
#date_period, #date_period_regatta {
    margin: 5px 18px;
}
.hide_left ~ .main .row {
    padding: 3em 2em;
}
.main { padding: 0;}
    .gm-style-mtc {
    display: block;
    width: 140px;
    }
    #navigation, .nav-bar, .mp-menu { width: 300px;}
    #hs {
    left: 300px;
    }
    #player {
        left: 0;
        width: 100%;
    }
    .hide_left #hs {
    top: 0;
    left: 360px;
}
    .btn-default {
    color: #fff;
    background-color: rgba(255, 255, 255, 0);
    border-color: rgba(204, 204, 204, 0);
    font-size: 24px;
}
.ratingColums { font-size: 12px;}
.ratingColums-name {
    width: 70px;
    margin-left: 28px;
}
.ratingColums-num {
    width: 30px;
}
.distanse {
    width: 40px;
}
.dataList .checkbox-marker ~ a {
    width: 70px;
    top: 2px;
}
.mobile-hidden {
    display: none;
}
}
@media (max-width:355px){
    .gm-style-mtc {
    display: none;
    }
    #navigation, .nav-bar, .mp-menu { width: 300px;}  
    #hs {
    left: 270px;
    }
    #player {
        left: 0;
        width: 100%;
    }
    .hide_left #hs {
    top: 0;
    left: 360px;
}
    .wrap-slow{display: none;}
    .btn-default {
    color: #fff;
    background-color: rgba(255, 255, 255, 0);
    border-color: rgba(204, 204, 204, 0);
    font-size: 24px;
}
.ratingColums { font-size: 12px;}
.ratingColums-name {
    width: 70px;
    margin-left: 25px;
}
.ratingColums-num {
    width: 30px;
}
.distanse {
    width: 40px;
}
.dataList .checkbox-marker ~ a {
    width: 70px;
    top: 2px;
}
.mobile-hidden {
    display: none;
}
}
@media (max-width:330px){
    .logo {
    height: 38px;
    margin-left: 10px;
    margin-top: 10px;
    width: 130px;
}
.logo ~ ul,
.nav-bar.level-open.level-2,
.nav-bar.level-open.level-3 {
    top: 50px;
}
.title {
    font-size: 1.1em;
    margin: 8px 0;
    padding: 0 15px;
    height: 15px;
}
.nav-bar.level-open.level-2 .mp-level-open ul.dataList {
    bottom: 100px;
}
.trackersList {
    position: absolute;
    top: 237px;
    width: 100%;
    bottom: 50px;
    overflow-x: auto;
}
#date_period_regatta ~ ul {
    padding-bottom: 100px;
}
}
@media (max-width: 768px) and (orientation: landscape){
.logo {
    height: 45px;
    width: 150px;
}
.logo ~ ul, .nav-bar.level-open.level-2, .nav-bar.level-open.level-3 {
    top: 60px;
}
.hide_left #hs {
    bottom: auto;
    left: 360px;
    top: 0;
}
.title {
    font-size: 1.2em;
    height: 15px;
}
/* player */
.ui-slider-handle.ui-corner-all.ui-state-default {
    border-radius: 10px;
    height: 20px;
    top: -5px;
    width: 20px;
}
#race_time {
    font-size: 14px;
}

#steps {
    display: none;
}
}
@media (max-width: 640px) and (orientation: landscape){
#steps {
    display: inline-block;
}
}
@media (max-width: 450px){
#steps {
    display: none;
}
}
@media (max-height: 330px) and (orientation: landscape){
.wrap-player, #player {
    height: 70px;
}
#slider {
    border-radius: 4px;
    height: 5px;
    margin: 5px 10px;
}
.ui-slider-handle.ui-corner-all.ui-state-default {
    height: 18px;
    top: -6px;
    width: 18px;
}
#slider {
    height: 5px;
    margin: 8px;
}
}